This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 738243 - Drift Configuration Name is accepting blank space
Drift Configuration Name is accepting blank space
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-09-14 07:59 EDT by Venkat
Modified: 2012-02-07 14:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 4,2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Venkat 2011-09-14 07:59:53 EDT
Description of problem:
Drift Configuration name accepts blank space (space bar from the key board)

Version-Release number of selected component (if applicable):
RHQ
Version: 4.1.0-SNAPSHOT
Build Number: 967a430

How reproducible:
Every time.

Steps to Reproduce:
1.Navigate to Reources --> Platforms ---> select resource link.
2. Go to( click on)  drift tab 
3. Click on configuration tab.
4 Click on Add button.
5. Select File System
6. Click on next button.
7. Enter space( from the key board) in the Drift Configuration name
8. Select normal radio button for Drift Handling mode.
8. Click on finish 

  
Actual results:
Drift Configuration Name  is accepting blank space( space bar from the key board)

Expected results:
It should not accept blank space as a Configuration name.

Additional info:
Comment 1 Charles Crouch 2011-09-15 11:48:44 EDT
We should be doing some sort of validation here.
Comment 2 Jay Shaughnessy 2011-11-01 16:22:53 EDT
Fixed prior to 4.2.  A proper error is getting generated and the
definition is ignored.
Comment 4 Mike Foley 2012-02-07 14:27:41 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.